## this is the misc protocol module file.
## it doesn't do much, but that may change.
##
## Ethan Gold <etgold@cs.vassar.edu> 2/24/98
##

## misc.tilde {filename}
#### returns filename with a tilde expanded to an absolute path

if {[debug]} { puts "Loading misc protocol module..." }

############ Required functions - API to main ##############

## startup procedure
proc misc.start {} {
    ## clear the zone listbox
    misc.delzones
    update
}

## shutdown procedure
proc misc.stop {} {
    ## do nothing
}

proc misc.setcurrzone {newzone} {
    ## do nothing
}

############ End Required functions - API to main ##############

############ Public functions #############

proc misc.tilde {filename} {
    global env
    ## do tilde expansion
    regsub "~/" $filename "$env(HOME)/" newfile
    regsub $env(USER) $env(HOME) "" tophome
    regsub "~" $newfile $tophome file_name
    return $file_name
}

############ End Public functions #############

proc misc.delzones {} {
    .leftside.bot.zones del 0 end
}

if {[debug]} { puts "Finished loading misc protocol module." }